cmdargs-0.10.13: Command line argument processing

Safe Haskell | None
Language | Haskell98

System.Console.CmdArgs.Default

Description

This module provides default values for many types. To use the default value simply write `def`.

Synopsis

- class Default a where
  - def :: a

# Documentation

class Default a where

Class for default values.

Methods

def :: a

Provide a default value, such as `()`, `False`, `0`, `[]`, `Nothing`.

Instances

Default Bool |
Default Double |
Default Float |
Default Int |
Default Int8 |
Default Int16 |
Default Int32 |
Default Int64 |
Default Integer |
Default Word |
Default Word8 |
Default Word16 |
Default Word32 |
Default Word64 |
Default () |
Default TextFormat |
Default HelpFormat |
Default [a] |
Default (Maybe a) |
(Default a1, Default a2) => Default (a1, a2) |
(Default a1, Default a2, Default a3) => Default (a1, a2, a3) |
(Default a1, Default a2, Default a3, Default a4) => Default (a1, a2, a3, a4) |
(Default a1, Default a2, Default a3, Default a4, Default a5) => Default (a1, a2, a3, a4, a5) |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6) => Default (a1, a2, a3, a4, a5, a6) |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6, Default a7) => Default (a1, a2, a3, a4, a5, a6, a7) |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6, Default a7, Default a8) => Default (a1, a2, a3, a4, a5, a6, a7, a8) |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6, Default a7, Default a8, Default a9) => Default (a1, a2, a3, a4, a5, a6, a7, a8, a9) |
(Default a1, Default a2, Default a3, Default a4, Default a5, Default a6, Default a7, Default a8, Default a9, Default a10) => Default (a1, a2, a3, a4, a5, a6, a7, a8, a9, a10) |